org.eclipse.microprofile.openapi.apps.airlines.model

## Class User

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.airlines.model.User

    public class User
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`User(int id, String userName, String password, String firstName, String lastName, String gender, int age, String email, String phone, int status)` Creates a User instance with the parameters specified.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getAge()` Returns the age property of a User instance.
`String` `getEmail()` Returns the email property of a User instance.
`String` `getFirstName()` Returns firstName property of a User instance.
`Gender` `getGender()` Returns the gender property of a User instance.
`int` `getId()` Returns the id property of a User instance
`String` `getLastName()` Returns the lastName property of a User instance.
`String` `getPassword()` Returns the password property of a User instance.
`String` `getPhone()` Returns the phone property of a User instance.
`String` `getUndocumentedProperty()`
`String` `getUserName()` Returns the userName property of a User instance.
`int` `getUserStatus()`
`void` `setAge(int age)` Sets the age property of a User instance to the parameter.
`void` `setEmail(String email)` Sets the email property of a User instance to the parameter.
`void` `setFirstName(String firstName)` Sets the firstName property of a User instance to the parameter.
`void` `setGender(String gender)` Sets the gender property of a User instance to the parameter.
`void` `setId(int id)` Sets the id property of a User instance to the parameter.
`void` `setLastName(String lastName)` Sets the lastName property of a User instance to the parameter.
`void` `setPassword(String password)` Sets the password property of a User instance to the parameter.
`void` `setPhone(String phone)` Sets the phone property of a User instance to the parameter.
`void` `setUndocumentedProperty(String undocumentedProperty)`
`void` `setUserName(String userName)` Sets the userName property of a User instance to the parameter.
`void` `setUserStatus(int status)` Sets the status of this User instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### User

    public User(int id,
                String userName,
                String password,
                String firstName,
                String lastName,
                String gender,
                int age,
                String email,
                String phone,
                int status)

Creates a User instance with the parameters specified.

Parameters:
  `id` - the unique id for this User instance
  `userName` - the unique username for this User instance
  `password` - the unique password for this User instance
  `firstName` - the first name for this User instance
  `lastName` - the last name for this User instance
  `gender` - the gender for this User instance
  `age` - the age value for this User instance
  `email` - the email associated with this User instance
  `phone` - the phone number associated with this User instance
  `status` - the status associated with this User instance

### Method Detail

#### getId

    public int getId()

Returns the id property of a User instance

Returns:
  int id

#### setId

    public void setId(int id)

Sets the id property of a User instance to the parameter.

Parameters:
  `id` - the unique id for this User instance

#### getUserName

    public String getUserName()

Returns the userName property of a User instance.

Returns:
  String userName

#### setUserName

    public void setUserName(String userName)

Sets the userName property of a User instance to the parameter.

Parameters:
  `userName` - the user name for this User instance

#### getPassword

    public String getPassword()

Returns the password property of a User instance.

Returns:
  String password

#### setPassword

    public void setPassword(String password)

Sets the password property of a User instance to the parameter.

Parameters:
  `password` - the password associated with this User instance

#### getFirstName

    public String getFirstName()

Returns firstName property of a User instance.

Returns:
  String firstName

#### setFirstName

    public void setFirstName(String firstName)

Sets the firstName property of a User instance to the parameter.

Parameters:
  `firstName` - the first name for this User instance

#### getLastName

    public String getLastName()

Returns the lastName property of a User instance.

Returns:
  String lastName

#### setLastName

    public void setLastName(String lastName)

Sets the lastName property of a User instance to the parameter.

Parameters:
  `lastName` - the last name for this User instance

#### getGender

    public Gender getGender()

Returns the gender property of a User instance.

Returns:
  the gender

#### setGender

    public void setGender(String gender)

Sets the gender property of a User instance to the parameter.

Parameters:
  `gender` - the gender for this User instance

#### getAge

    public int getAge()

Returns the age property of a User instance.

Returns:
  int age

#### setAge

    public void setAge(int age)

Sets the age property of a User instance to the parameter.

Parameters:
  `age` - the age value for this User instance

#### getEmail

    public String getEmail()

Returns the email property of a User instance.

Returns:
  String email

#### setEmail

    public void setEmail(String email)

Sets the email property of a User instance to the parameter.

Parameters:
  `email` - the email associated with this User instance

#### getPhone

    public String getPhone()

Returns the phone property of a User instance.

Returns:
  String phone

#### setPhone

    public void setPhone(String phone)

Sets the phone property of a User instance to the parameter.

Parameters:
  `phone` - the phone number associated with this User instance

#### getUserStatus

    public int getUserStatus()

#### setUserStatus

    public void setUserStatus(int status)

Sets the status of this User instance.

Parameters:
  `status` - an integer representing the status of this User instance

#### getUndocumentedProperty

    public String getUndocumentedProperty()

#### setUndocumentedProperty

    public void setUndocumentedProperty(String undocumentedProperty)